futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Futhark.Analysis.PrimExp.Parse

Contents

- Module reexport

Description

Building blocks for parsing prim primexpressions. *Not* an infix representation.

Synopsis

- pPrimExp :: PrimType -> Parsec Void Text v -> Parsec Void Text (PrimExp v)
- pPrimValue :: Parsec Void Text PrimValue
- module Futhark.Analysis.PrimExp

# Documentation

pPrimExp :: PrimType -> Parsec Void Text v -> Parsec Void Text (PrimExp v) Source #

Parse a `PrimExp` given a leaf parser.

pPrimValue :: Parsec Void Text PrimValue Source #

Defined in this module for convenience.

# Module reexport

module Futhark.Analysis.PrimExp